Create a wallet buy trade
curl --request POST \
--url https://payments.oaknetwork.org/api/v1/wallets/trades/buy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 2,
"provider": "<string>",
"payment_method": "<string>",
"currency": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
'import requests
url = "https://payments.oaknetwork.org/api/v1/wallets/trades/buy"
payload = {
"amount": 2,
"provider": "<string>",
"payment_method": "<string>",
"currency": "<string>",
"customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 2,
provider: '<string>',
payment_method: '<string>',
currency: '<string>',
customer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
metadata: {}
})
};
fetch('https://payments.oaknetwork.org/api/v1/wallets/trades/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"type": "<string>",
"provider": "<string>",
"source": {
"amount": 123,
"currency": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"chain": "<string>"
}
},
"destination": {
"amount": 123,
"currency": "<string>",
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"payment_method": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"chain": "<string>"
}
},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"settlement_date": "2023-11-07T05:31:56Z"
}
}{
"msg": "<string>",
"data": null,
"provider_message": "<string>"
}{
"msg": "Unauthorized",
"data": null
}{
"msg": "Forbidden",
"data": null
}{
"msg": "Validation error message",
"data": null
}Wallets
Create a wallet buy trade
Initiate a buy trade through the wallet interface.
POST
/
api
/
v1
/
wallets
/
trades
/
buy
Create a wallet buy trade
Authorizations
Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer
Body
application/json
Required range:
x >= 1Merchant-supplied arbitrary metadata, stored with the transaction and echoed back on derived webhook deliveries. Shape is defined by the merchant at request time.
⌘I